void RunFinalAnimation()
{
    // uses our custom ViewExtensions.BringViewInWithAnimation with inAnimation
    // defined as inAnimation = AnimationUtils.LoadAnimation(Activity, Resource.Animation.bottom_slide_in);
    relativeLayout.BringViewInWithAnimation(inAnimation);
    
    // 'fluent' animation of an image view. moves it verrtically upwards by 110dip while
    // shrinking it by 10%, over 750ms. Sort of like star wars intro scrolling text
    imgNavBarLogo.Animate()
        .TranslationYBy(-110f)
        .ScaleXBy(-0.1f)
        .ScaleYBy(-0.1f)
        .SetDuration(750)
        .Start();
        
    // fades the textview out to complete transparency over 750ms
    textView.Animate().Alpha(0f).SetDuration(750).Start();
    textView.Visibility = ViewStates.Gone; // yes, we can use WithEndAction too...
    
    // shrinks a cardview vertically, top and bottom squeeze toward middle, as if it's in a vice.
    // ValueAnimator scaleAnimator = ValueAnimator.OfFloat(new[] {1f, 0f});
    // scaleAnimator.SetDuration(2000);
    // scaleAnimator.Update += (sender, args) =>
    //                        {
    //                            cardview.ScaleY = (float) args.Animation.AnimatedValue;
    //                        };
    // scaleAnimator.Start();

    // shrinks a cardview vertically, top stays where it is, bottom moves towards top, kind of like a roll-up
    // ScaleAnimation scale = new ScaleAnimation((float)1.0, (float)1.0, (float)1.0, (float)0.5)
    // {
    //    FillAfter = true,
    //    Duration = 1000,
    // };
    // cardview.StartAnimation(scale);

    // code to get window width just pasted here for clarity
    var size = new Point();
    Activity.WindowManager.DefaultDisplay.GetSize(size);
    windowWidth = size.X;
    
    // slides the cardview off screen, left to right, over 2500ms (takes a while)
    // and then collapses the space it took up 
    cardview.Animate()
        .TranslationXBy(windowWidth)
        .SetDuration(2500)
        .SetStartDelay(3000)
        .WithEndAction(new Runnable(() =>
                                    {
                                        cardview.Visibility = ViewStates.Gone;
                                    }))
        .Start();
}